Welcome to Geeklog Thursday, August 16 2018 @ 10:34 am EDT

Geeklog Forums

Weather Plugin 1.0 Release


Status: offline

squatty

Forum User
Full Member
Registered: 21/01/02
Posts: 269
I\'m releasing the final 1.0 version of the Weather plugin. You can download it here. It\'s also on this site under the Plugins download section. There\'s been quite a few updates since RC1 was released. Most notably, there is now several configuration variables in the config.php file to provide control over error handling. You MUST configure this file correctly for the error handling and notification to work! The installation of the 1.0 Weather plugin will detect and remove the database portions of the previous versions of the Weather block. You need to manually remove the entries made to lib-custom.php and lib-database.php. If your upgrading from RC1, remove the plugin first using the un-install feature. Then copy the new files over the RC1 files and proceed to install the 1.0 plugin. As always, I\'ll be here to support any issues.
In a world without walls and fences, who needs Windows and Gates?

Status: offline

tingo

Forum User
Chatty
Registered: 05/06/02
Posts: 57
Location:Oslo, Norway
First of all; nice work with the plugin. It is so much better than the old weather block! Maybe I have done something wrong, or maybe I have found a bug: when I try to use the \"Set XXX/YYY as My Default\" link on the Weather Details page, I get this error (copied from error.log):
Sun Sep 14 19:10:48 2003 - 1054: Unknown column \'weather_metar\' in \'field list\' SQL in question: update gl_userprefs set weather_metar=\'ENGM\' where id=\'13\'
And a quick check shows that this column doesn\'t exist in the table gl_userprefs:
mysql> desc gl_userprefs; +---------------+---------------------+------+-----+---------+-------+ | Field | Type | Null | Key | Default | Extra | +---------------+---------------------+------+-----+---------+-------+ | uid | mediumint(8) | | PRI | 1 | | | noicons | tinyint(3) unsigned | | | 0 | | | willing | tinyint(3) unsigned | | | 1 | | | dfid | tinyint(3) unsigned | | | 0 | | | tzid | char(3) | | | edt | | | emailstories | tinyint(4) | | | 1 | | | emailfromuser | tinyint(1) | | | 1 | | | showonline | tinyint(1) | | | 1 | | +---------------+---------------------+------+-----+---------+-------+ 8 rows in set (0.01 sec)
I don\'t know why this happens, because the installscript has the statements necessary to update the table with the needed fields. And the log shows that the install was a success. I had the old wetherblock installed, could this have messed up something?

Status: offline

wlparks

Forum User
Junior
Registered: 21/02/03
Posts: 24
Are you using 1.0? Try upgrading to 2.0 and see if you have any issues.

Status: offline

tingo

Forum User
Chatty
Registered: 05/06/02
Posts: 57
Location:Oslo, Norway
Yes, I was using 1.0 (man, it\'s hard to keep up with you developers - no, just kidding Cool ) Ok, found and installed 2.0 -- problem solved! Thanks!

All times are EDT. The time is now 10:34 am.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content